package com.cku.dao;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuDvUserModel;

public interface CkuDvUserMapper {

	/**
	 * 已改
	 * @Description：根据用户名获取会员信息
	 * @author: zhuoHeng
	 * @version: 2016年9月9日 下午2:17:43
	 */
	public CkuDvUserModel ckuMemberLogin(@Param("userName") String userName);
	/**
	 * 已改
	 * @Description：根据邮箱获取会员信息
	 * @author: zhuoHeng
	 * @version: 2016年9月9日 下午2:16:24
	 */
	public CkuDvUserModel ckuMemberLoginEmail(@Param("userName") String userName);
	/**
	 * 已改
	 * @Description：根据userId获取会员信息
	 * @author: zhuoHeng
	 * @version: 2016年9月9日 下午2:16:52
	 */
	public CkuDvUserModel getckuMemberByUserId(@Param("userId") String userId);

	int addAuthCode(@Param("userId") String userId,@Param("oauthCode") String oauthCode);
	int addAccessToken(@Param("userId") String userId,@Param("accessToken") String accessToken,@Param("accessTokenTime") String accessTokenTime);
}
